package io.core.agents;

import java.net.Socket;
import java.util.Vector;

import io.core.protocol.IOPacket;
import io.core.protocol.TheaterLocator;

public interface ProtocolAgent {

	/*
		A method must be implemented to process incoming P2PPackets,
		so the current reception service can handle them.
	*/
	public void process(IOPacket packet, Socket incoming);
	public TheaterLocator getLocation();

	public void joinComputation(Vector peerServers);
	public void leaveComputation();
}
